NI FlexRIO Network

Reply
This is an open group. Sign in and click the "Join Group" button to become a group member and start posting.
Highlighted

NI 1483 BSP install Problems

We just recieved a few of the 1483 FAM's and installed the software disc that came with the product. I am using Labview 2014 Proffesional development systems, with FPGA add-on. The vivsion components for Labview seem to get installed but the Clip for the 1483 FAM does not get installed in the shared/Flexrio  directory.

It looks like the CD that shipped with the product has components for Labview 2013 and does not include items for 2014, but the FAM Clip items should be independant of the version of Labview being used.

What are the proper steps to install the BSP for the 1483 FAM so I can have access to the CLIP for it?

0 Kudos
Message 1 of 7
(3,377 Views)
6 REPLIES

Re: NI 1483 BSP install Problems

Have you installed the latest version of NI-RIO?  There are several software dependencies in order to use FlexRIO.

LabVIEW

LabVIEW FPGA Module
Xilinx tools for LabVIEW

NI-RIO

FlexRIO Adapter Module Support

Ensure you have the latest installs of each of those packages, and then report back.  I think it's the FAM Support that has the specific CLIP for the FAM front-ends.

Someone from NI can probably correct me if I'm wrong.

-J

0 Kudos
Message 2 of 7
(2,168 Views)

Re: NI 1483 BSP install Problems

Hi Jeff and J,

For almost all modules, the CLIP support for an adapter module is installed with the FlexRIO Adapter Module Support installer. The 1483, however typically requires some additional IP to use the hardware. As a result this CLIP support is installed with the NI Vision Acquisition Software installer. The latest version of this can be found at ni.com/downloads.

You will still need the RIO and LabVIEW FPGA support installed to program a FlexRIO application and compile it, this installer adds the CLIP support.

-Browning

Regards,
Browning G
FlexRIO R&D
0 Kudos
Message 3 of 7
(2,168 Views)

Re: NI 1483 BSP install Problems

So I typed in 1483 for downloads and it takes me to VAS_September 2011. Do I install that one 1st then install the disc that came with the product?

It would be nice if the disc that cam with the product came with the FAM support.

0 Kudos
Message 4 of 7
(2,168 Views)

Re: NI 1483 BSP install Problems

When I try to install VAS 2011, all items in the selection screen of the installer is allowed to be installed, hence all items are check with the green check mark. I ran it anyway and the CLIP still does not get installed

0 Kudos
Message 5 of 7
(2,168 Views)

Re: NI 1483 BSP install Problems

So I uninstalled VAS 2014, then tried to install VAS 2011, not it lets me select items to be installed, Which of the item actuall instalss the CLIP support files in VAS 2011 install ?

0 Kudos
Message 6 of 7
(2,168 Views)

Re: NI 1483 BSP install Problems

I now see the CLIP in the expected directory. So I am now going to install VAS 2014 to add what ever is needed for Labview 2014

0 Kudos
Message 7 of 7
(2,168 Views)
Reply
This is an open group. Sign in and click the "Join Group" button to become a group member and start posting.